Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 19 Dec 2021 05:15:26 +0000

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have been place an order for three items, one arrived but another two items missing, in my app its showing under processing since last 15 days, I made many calls to customer care whenever I call customer care everyday they are saying wait one day, i am really fed up with the service. Even I have visited showroom many times to ask item arrive or not but they are simply saying not arrived call customer care I need my amount refund for two missing items which already deducted from my credit card, this is my worst experience, even Amazon or noon won’t take such a long time to deliver my items, it’s been 15 days but no have solution from center point. My order number
 6369374698.
In this order number I have ordered three items so only one item received & returned, but where is my two items missing, still in my app showing under processing, i no more required those two items now, I want my refund with immediate effect. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3562044